Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1401035 - Review Request: php-pear-math-biginteger - Pure-PHP arbitrary precision integer arithmetic library
Review Request: php-pear-math-biginteger - Pure-PHP arbitrary precision integ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-02 10:34 EST by Remi Collet
Modified: 2016-12-05 10:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-05 10:37:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo.log (10.45 KB, text/plain)
2016-12-03 16:53 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.37 KB, text/plain)
2016-12-03 16:53 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-12-02 10:34:05 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/c913c7610f166f9e3a7371ab7a79b6661355ab8c/php/pear/php-pear-math-biginteger/php-pear-math-biginteger.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-pear-math-biginteger-1.0.3-1.remi.src.rpm
Description: 
Supports base-2, base-10, base-16, and base-256 numbers. Uses the GMP or
BCMath extensions, if available, and an internal implementation, otherwise.



Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2016-12-03 16:53 EST
Created attachment 1227769 [details]
phpcompatinfo.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 2 Shawn Iwinski 2016-12-03 16:53 EST
Created attachment 1227770 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1401035
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Shawn Iwinski 2016-12-03 16:55:12 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 4 Gwyn Ciesla 2016-12-05 09:46:26 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-pear-math-biginteger
Comment 5 Remi Collet 2016-12-05 10:37:15 EST
@shawn: thanks for the review

Package:    php-pear-math-biginteger-1.0.3-1.fc26
Status:     complete


No plan to build in other branches.

Note You need to log in before you can comment on or make changes to this bug.